#!/usr/bin/env python

from distutils.core import setup

# Copied from: https://github.com/rg3/youtube-dl/blob/master/setup.py
exec(compile(open('not_so_tuf/version.py').read(),
             'not_so_tuf/version.py', 'exec'))

setup(
    name='not-so-tuf',
    version=__version__,
    description='Simple App update framwork',
    author='Johny Mo Swag',
    author_email='johnymoswag@gmail.com',
    url='not-so-tuf.3ktservices.com',
    download_url=('https://github.com/JohnyMoSwag/Not-So-'
                  'TUF/archive/master.zip'),
    license='MIT',
    install_requires=[
        'boto',
        'bsdiff4',
        'paramiko',
        'cryptography',
        ],
    packages=['not_so_tuf', 'not_so_tuf.uploader', 'cli', 'cli.core',
              'cli.ui'],
    entry_points={'console_scripts': ['nst-cli = cli:main']},
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Operating System :: OS Independent',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2.7'],
    )
